include:
  - local: /jobs/secrets.gitlab-ci.yml
  - remote: 'https://raw.githubusercontent.com/gradle/develocity-gitlab-templates/main/develocity-gradle.yml'
    inputs:
      url: https://develocity-staging.eclipse.org
  - remote: 'https://raw.githubusercontent.com/gradle/develocity-gitlab-templates/main/develocity-maven.yml'
    inputs:
      url: https://develocity-staging.eclipse.org

.ef-build-develocity:
  extends: .secrets
  stage: build
  secrets:
    DEVELOCITY_ACCESS_KEY:
      vault: $EF_PROJECT_ID/develocity.eclipse.org/api-token@cbi
      file: false

.ef-build-develocity-maven:
  extends: .ef-build-develocity
  variables:
    MAVEN_OPTS: "-Dhttps.protocols=TLSv1.2 -Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=WARN -Dorg.slf4j.simpleLogger.showDateTime=true -Djava.awt.headless=true"
    MAVEN_CLI_OPTS: "--batch-mode --errors --fail-at-end --show-version -DinstallAtEnd=true -DdeployAtEnd=true"
  script:
    - !reference [.injectDevelocityForMaven]
    - ./mvnw clean deploy -s settings.xml

.ef-build-develocity-gradle:
  extends: .ef-build-develocity
  variables:
    GRADLE_OPTS: "-Dorg.gradle.daemon=false"
  script:
    - !reference [.injectDevelocityForGradle]
    - ./gradlew publish -I $DEVELOCITY_INIT_SCRIPT_PATH 